Summary:	Download and Convert online videos
Name:		clipgrab
Version:	3.2.1.2
Release:	%mkrel 3
License:	GPLv3+
Group:		Video/Editors and Converters
Url:		http://clipgrab.de/en
Source0:	http://clipgrab.de/download/%{name}-%{version}.tar.bz2
Patch0:		clipgrab-3.2.1.2-ffmpeg-sameq-fix.patch
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	imagemagick
Suggests:	ffmpeg

%description
ClipGrab is a GPLv3 licenced, free and cost-free software for downloading
and converting online videos.

%prep
%setup -q
%apply_patches

%build
%qmake_qt4 clipgrab.pro
%make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_datadir}/applications

install -D -m755 %{name} %{buildroot}%{_bindir}
install -D -m644 *.qm %{buildroot}%{_datadir}/%{name}/
install -D -m644 *.png %{buildroot}%{_datadir}/%{name}/
install -D -m644 icon.png %{buildroot}%{_iconsdir}/%{name}.png

convert -geometry 32x32 icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 16x16 icon.png %{buildroot}%{_miconsdir}/%{name}.png

cat > %{name}.lang << EOF
%lang(cs) %{_datadir}/%{name}/%{name}_cs.qm
%lang(de) %{_datadir}/%{name}/%{name}_de.qm
%lang(el) %{_datadir}/%{name}/%{name}_el.qm
%lang(es) %{_datadir}/%{name}/%{name}_es.qm
%lang(fi) %{_datadir}/%{name}/%{name}_fi.qm
%lang(fr) %{_datadir}/%{name}/%{name}_fr.qm
%lang(it) %{_datadir}/%{name}/%{name}_it.qm
%lang(ja) %{_datadir}/%{name}/%{name}_ja.qm
%lang(pl) %{_datadir}/%{name}/%{name}_pl.qm
%lang(ro) %{_datadir}/%{name}/%{name}_ro.qm
%lang(ru) %{_datadir}/%{name}/%{name}_ru.qm
EOF

#------------------------------------------------------------------------
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
GenericName=ClipGrab
Name=ClipGrab
Comment=Use ClipGrab to download and convert online videos
Comment[ca]=Empreu ClipGrab per descarregar i convertir vídeos online.
Comment[cs]=Použijte program ClipGrap pro stažení a konverzi online videí
Comment[de]=Benutzen Sie ClipGrab, um Online-Videos herunterzuladen und zu konvertieren.
Comment[el]=Λήψη και μετατροπή βίντεο από το διαδίκτυο
Comment[es]=Utilice ClipGrab para descargar y convertir videos de la red
Comment[et]=ClipGrab aitab videoid veebist alla laadida ja teisendada.
Comment[fr]=Utilisez ClipGrad pour télécharger et convertir des vidéos d'Internet
Comment[it]=Utilizzare ClipGrab per scaricare e convertire i video
Comment[nl]=Gebruik ClipGrab om online videos te downloaden en converteren
Comment[pl]=Użyj programu ClipGrab do pobrania i konwersji filmów online
Comment[sl]=Uporabite ClipGrab za prenos in pretvorbo spletnih videov
Comment[uk]=Скористатися ClipGrab для отримання та перетворення інтернет-відео
Comment[zh_TW]=使用 ClipGrab 來下載並轉換線上影片
Exec=clipgrab
Icon=clipgrab
Path=/usr/bin/clipgrab
Type=Application
StartupNotify=true
Categories=AudioVideo;Recorder;X-Mageia-CrossDesktop;
EOF
#------------------------------------------------------------------------

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.2.1.2-3.mga4
+ Revision: 538351
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 wally <wally> 3.2.1.2-2.mga4
+ Revision: 489316
- add patch to use ffmpeg with qscale switch instead of obsoleted sameq switch

* Sun Sep 29 2013 dglent <dglent> 3.2.1.2-1.mga4
+ Revision: 489311
- New version 3.2.1.2
- Add lang tags
- Don't package translation source files

* Tue Jul 16 2013 dglent <dglent> 3.2.1.0-1.mga4
+ Revision: 455097
- New version 3.2.1.0
- Update SPEC

* Fri Jan 11 2013 umeabot <umeabot> 3.2.0.9-2.mga3
+ Revision: 347884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + blue_prawn <blue_prawn>
    - only one Summary field is probably enough

* Sun Sep 30 2012 obgr_seneca <obgr_seneca> 3.2.0.9-1.mga3
+ Revision: 300806
- Adapted group to new policy

  + dglent <dglent>
    - New version 3.2.0.9
    - Drop patch clipgrab-3.2.0.6-mga-remove-nonexisting-images.patch (fixed upstream)
    - Spec cleanup

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 3.2.0.6-1.mga3
+ Revision: 261692
- New version 3.2.0.6
- added missing br for graphviz
- removed extra desktop file, upstream does provide one now

* Thu Mar 22 2012 obgr_seneca <obgr_seneca> 3.1.3.0-3.mga2
+ Revision: 225668
- added translations to desktop file

* Mon Mar 19 2012 obgr_seneca <obgr_seneca> 3.1.3.0-2.mga2
+ Revision: 224443
- replaced X-MandrivaLinux-CrossDesktop by X-Mageia-CrossDesktop in desktop file

* Wed Jan 04 2012 obgr_seneca <obgr_seneca> 3.1.3.0-1.mga2
+ Revision: 190769
- new version 3.1.3.0

* Sun Dec 18 2011 fwang <fwang> 3.1.0.2-2.mga2
+ Revision: 183658
- br qtwebkit

* Tue Oct 04 2011 obgr_seneca <obgr_seneca> 3.1.0.2-1.mga2
+ Revision: 151477
- New version

* Sat Mar 12 2011 obgr_seneca <obgr_seneca> 3.1.0.1-2.mga1
+ Revision: 68338
- imported package clipgrab


* Fri Mar 11 2011 Oliver Burger <oliver.bgr@googlemail.com> 3.1.0.1-2mga1
- moved desktop file from spec to own file
- removed buildroot tag

* Tue Mar 08 2011 Oliver Burger <rpm@mandrivauser.de> 3.1.0.1-1mud2010.2
- new version 3.1.0.1

* Fri Aug 06 2010 Jens Ornot <rpm@mandrivauser.de> 3.0.7.2-1mud2010.1
- new version 3.0.7.2

* Fri Jul 16 2010 Doktor5000 <rpm@mandrivauser.de> 3.0.7.1-1mud2010.1
- rebuild for Mandrivalinux 2010.1
- new version 3.0.7.1

* Tue Apr 19 2010 Doktor5000 <rpm@mandrivauser.de> 3.0.6.6-1mud2010.0
- new version 3.0.6.6

* Sun Nov 15 2009 Doktor5000 <rpm@mandrivauser.de> 3.0.2-1mud2010.0
- rebuild for Mandrivalinux 2010.0
- new version 3.0.2
- make rpmlint happy :)

* Sun Nov 02 2008 Doktor5000 <rpm@mandrivauser.de> 2.0-1.beta2mud2009.0
- rebuild for Mandrivalinux 2009.0
- fix overlinking issues by using %%qmake_qt4
- fix desktop entry and icon naming
- fixed Group, License and Summary
- fix %%_bindir file location to prevent "arch-dependent-file-in-usr-share"
- remove %%post entries, deprecated by filetriggers
- try to fix versioning
- fix %%clean section

* Tue Aug 12 2008 Doktor5000 <rpm@mandrivauser.de> 2.0-beta2-1mud2008.1
- rebuild for Mandrivalinux 2008.1

* Mon Aug 04 2008 <maik3531@web.de> 2.0-beta2-1mdv2008.1
- rebuild for Mandriva

* Sat Mar 29 2008 <maik3531@web.de> 2.0-beta2-1pclos2007
- first version clipgrab-2.0-beta2
